Bug 195533 - Enable CONFIG-NUMA in i386 PAE kernel
Enable CONFIG-NUMA in i386 PAE kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Konrad Rzeszutek
Brian Brock
:
Depends On:
Blocks: 184806
  Show dependency treegraph
 
Reported: 2006-06-15 12:16 EDT by Konrad Rzeszutek
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 12:53:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konrad Rzeszutek 2006-06-15 12:16:06 EDT
Description of problem:

Make CONFIG_NUMA part of the i386 build.
Comment 1 Konrad Rzeszutek 2006-07-21 10:51:44 EDT
One config option needs to be set to take advantage of this:

CONFIG_NUMA

Also for this to work on the IBM x460 two patches need to be applied (both being
pushed upstream right now).

Comment 2 Konrad Rzeszutek 2006-07-21 10:54:08 EDT
The two patches are in BZ 184806.
Comment 3 Konrad Rzeszutek 2006-08-14 12:53:38 EDT
The disadvantages (1% performance loss, no ISV requirements, no market for this)
are more numerous than the advantages (1-15% performance benefit for selective
IBM hardware, NUMA exists in 64-bit and customers need 64-bit to take advantage
of more memory), therefore setting bug as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.